libreoffice-nlpsolver (0.9~beta1-6) not working

Bug #910143 reported by Hong Zhu on 2011-12-30
86
This bug affects 15 people
Affects Status Importance Assigned to Milestone
nlpsolver (Debian)
Fix Released
Unknown
nlpsolver (Ubuntu)
High
Unassigned
Trusty
High
Unassigned

Bug Description

I have Ubuntu 11.10 Unity, Libreoffice by default. I need this package work for non-linear solver. I installed it from Ubuntu software center. After installation, I went to Calc-->Tools-->Extension Manager..., I can see that it reports error like the following
    Solver for Nonlinear Programming 0.9 Sun Microsystems
    Error: The status of this extension is unknown
And if I try to use it from Calc-->Tools-->Solver..., from Options, you can see this Solver Engine from the drop down box.

According to this website,
http://packages.ubuntu.com/oneiric/math/libreoffice-nlpsolver
It needs openjdk-6-jdk. I have it on my machine.

The libreOffice is from default package, which version is 3.4.4. I don't have any special setup, configuration for it or for Ubuntu 11.10.

Unreproducible in Xubuntu:

sb_release -rd
Description: Ubuntu 11.10
Release: 11.10

apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.4.4-0ubuntu1
  Candidate: 1:3.4.4-0ubuntu1
  Version table:
 *** 1:3.4.4-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:3.4.3-3ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages

apt-cache policy libreoffice-nlpsolver
libreoffice-nlpsolver:
  Installed: 0.9~beta1-6
  Candidate: 0.9~beta1-6
  Version table:
 *** 0.9~beta1-6 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status

ApportVersion: 1.23-0ubuntu4
Architecture: amd64
DistroRelease: Ubuntu 11.10
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
Package: libreoffice 1:3.4.4-0ubuntu1
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.0.0-15.26-generic 3.0.13
Tags: oneiric
Uname: Linux 3.0.0-15-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/910143/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → libreoffice (Ubuntu)

Hong Zhu, thank you for taking the time to report this and helping to make Ubuntu better. Please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect 910143
When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

Changed in libreoffice (Ubuntu):
status: New → Incomplete

Hi Christopher,
Thanks for the advice. The terminal said the libreoffice is not installed which is not true. Don't know why it said so. :-)

________________________________
 From: Christopher M. Penalver <email address hidden>
To: <email address hidden>
Sent: Friday, December 30, 2011 5:34 PM
Subject: [Bug 910143] Re: libreoffice-nlpsolver (0.9~beta1-6) not working

Hong Zhu, thank you for taking the time to report this and helping to make Ubuntu better. Please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect 910143
When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

** Changed in: libreoffice (Ubuntu)
      Status: New => Incomplete

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/910143

Title:
  libreoffice-nlpsolver (0.9~beta1-6) not working

Status in “libreoffice” package in Ubuntu:
  Incomplete

Bug description:
  I have Ubuntu 11.10, Libreoffice by default. I need this package work for non-linear solver. I installed it from Ubuntu software center. After installation, I went to Calc-->Tools-->Extension Manager..., I can see that it reports error like the following
      Solver for Nonlinear Programming 0.9                  Sun Microsystems
      Error: The status of this extension is unknown
  And if I try to use it from Calc-->Tools-->Solver..., from Options, you can see this Solver Engine from the drop down box.

  According to this website,
  http://packages.ubuntu.com/oneiric/math/libreoffice-nlpsolver
  It needs openjdk-6-jdk. I have it on my machine.

  The libreOffice is from default package, which version is 3.4.4. I
  don't have any special setup, configuration for it or for Ubuntu
  11.10.

  Please take a look!

  Thanks a lot,
  Hong

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/910143/+subscriptions

Hong Zhu, try at the Terminal:
sudo apt-get update && sudo apt-get -y install libreoffice && apport-collect 910143

Hong Zhu (hankzhu) wrote :

Hi Christopher,
I have libreoffice installed as default in Ubuntu 11.10. Don't understand why I need do any update and installation again.

________________________________
 From: Christopher M. Penalver <email address hidden>
To: <email address hidden>
Sent: Saturday, December 31, 2011 11:15 AM
Subject: [Bug 910143] Re: libreoffice-nlpsolver (0.9~beta1-6) not working

Hong Zhu, try at the Terminal:
sudo apt-get update && sudo apt-get -y install libreoffice && apport-collect 910143

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/910143

Title:
  libreoffice-nlpsolver (0.9~beta1-6) not working

Status in “libreoffice” package in Ubuntu:
  Incomplete

Bug description:
  I have Ubuntu 11.10, Libreoffice by default. I need this package work for non-linear solver. I installed it from Ubuntu software center. After installation, I went to Calc-->Tools-->Extension Manager..., I can see that it reports error like the following
      Solver for Nonlinear Programming 0.9                  Sun Microsystems
      Error: The status of this extension is unknown
  And if I try to use it from Calc-->Tools-->Solver..., from Options, you can see this Solver Engine from the drop down box.

  According to this website,
  http://packages.ubuntu.com/oneiric/math/libreoffice-nlpsolver
  It needs openjdk-6-jdk. I have it on my machine.

  The libreOffice is from default package, which version is 3.4.4. I
  don't have any special setup, configuration for it or for Ubuntu
  11.10.

  Please take a look!

  Thanks a lot,
  Hong

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/910143/+subscriptions

ApportVersion: 1.23-0ubuntu4
Architecture: amd64
DistroRelease: Ubuntu 11.10
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
Package: libreoffice 1:3.4.4-0ubuntu1
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.0.0-15.26-generic 3.0.13
Tags: oneiric
Uname: Linux 3.0.0-15-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tags: added: apport-collected oneiric

apport information

Wouter Deconinck (wdconinc) wrote :

Hi Christopher, Hong,

I can reproduce this problem. I have a fresh Oneiric install (two weeks old). Logs in previous bug entry are obtained by apport-collect to this bug report. Please let me know what else to test and report.

Wouter

description: updated

Thanks Wouter. Just want to know when I will get the fixed version. :-)

________________________________
 From: Wouter Deconinck <email address hidden>
To: <email address hidden>
Sent: Thursday, February 2, 2012 12:25 AM
Subject: [Bug 910143] Re: libreoffice-nlpsolver (0.9~beta1-6) not working

Hi Christopher, Hong,

I can reproduce this problem.  I have a fresh Oneiric install (two weeks
old).  Logs in previous bug entry are obtained by apport-collect to this
bug report.  Please let me know what else to test and report.

Wouter

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/910143

Title:
  libreoffice-nlpsolver (0.9~beta1-6) not working

Status in “libreoffice” package in Ubuntu:
  Incomplete

Bug description:
  I have Ubuntu 11.10, Libreoffice by default. I need this package work for non-linear solver. I installed it from Ubuntu software center. After installation, I went to Calc-->Tools-->Extension Manager..., I can see that it reports error like the following
      Solver for Nonlinear Programming 0.9                  Sun Microsystems
      Error: The status of this extension is unknown
  And if I try to use it from Calc-->Tools-->Solver..., from Options, you can see this Solver Engine from the drop down box.

  According to this website,
  http://packages.ubuntu.com/oneiric/math/libreoffice-nlpsolver
  It needs openjdk-6-jdk. I have it on my machine.

  The libreOffice is from default package, which version is 3.4.4. I
  don't have any special setup, configuration for it or for Ubuntu
  11.10.

  Please take a look!

  Thanks a lot,
  Hong

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/910143/+subscriptions

Hong Zhu, this is unreproducible in Xubuntu. This may be correlated to using KDE. Which desktop GUI are you using, KDE, Unity?

lsb_release -rd
Description: Ubuntu 11.10
Release: 11.10

apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.4.4-0ubuntu1
  Candidate: 1:3.4.4-0ubuntu1
  Version table:
 *** 1:3.4.4-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:3.4.3-3ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages

apt-cache policy libreoffice-nlpsolver
libreoffice-nlpsolver:
  Installed: 0.9~beta1-6
  Candidate: 0.9~beta1-6
  Version table:
 *** 0.9~beta1-6 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status

description: updated
Hong Zhu (hankzhu) wrote :
Download full text (5.7 KiB)

gnome 3.2 the one comes with Ubuntu 11.10, I tried Unity, same problem.

________________________________
 From: Christopher M. Penalver <email address hidden>
To: <email address hidden>
Sent: Thursday, February 2, 2012 7:45 PM
Subject: [Bug 910143] Re: libreoffice-nlpsolver (0.9~beta1-6) not working

Hong Zhu, this is unreproducible in Xubuntu. This may be correlated to
using KDE. Which desktop GUI are you using, KDE, Unity?

lsb_release -rd
Description: Ubuntu 11.10
Release: 11.10

apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.4.4-0ubuntu1
  Candidate: 1:3.4.4-0ubuntu1
  Version table:
*** 1:3.4.4-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric-updates/main amd64 Packages
        100 /var/lib/dpkg/status
    1:3.4.3-3ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages

apt-cache policy libreoffice-nlpsolver
libreoffice-nlpsolver:
  Installed: 0.9~beta1-6
  Candidate: 0.9~beta1-6
  Version table:
*** 0.9~beta1-6 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status

** Description changed:

  I have Ubuntu 11.10, Libreoffice by default. I need this package work for non-linear solver. I installed it from Ubuntu software center. After installation, I went to Calc-->Tools-->Extension Manager..., I can see that it reports error like the following
      Solver for Nonlinear Programming 0.9                  Sun Microsystems
      Error: The status of this extension is unknown
  And if I try to use it from Calc-->Tools-->Solver..., from Options, you can see this Solver Engine from the drop down box.

  According to this website,
  http://packages.ubuntu.com/oneiric/math/libreoffice-nlpsolver
  It needs openjdk-6-jdk. I have it on my machine.

  The libreOffice is from default package, which version is 3.4.4. I don't
  have any special setup, configuration for it or for Ubuntu 11.10.

+ Unreproducible in Xubuntu:
+
+ sb_release -rd
+ Description: Ubuntu 11.10
+ Release: 11.10
+
+ apt-cache policy libreoffice-calc
+ libreoffice-calc:
+  Installed: 1:3.4.4-0ubuntu1
+  Candidate: 1:3.4.4-0ubuntu1
+  Version table:
+  *** 1:3.4.4-0ubuntu1 0
+        500 http://us.archive.ubuntu.com/ubuntu/ oneiric-updates/main amd64 Packages
+        100 /var/lib/dpkg/status
+      1:3.4.3-3ubuntu2 0
+        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
+
+ apt-cache policy libreoffice-nlpsolver
+ libreoffice-nlpsolver:
+  Installed: 0.9~beta1-6
+  Candidate: 0.9~beta1-6
+  Version table:
+  *** 0.9~beta1-6 0
+        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
+        100 /var/lib/dpkg/status
+
  ApportVersion: 1.23-0ubuntu4
  Architecture: amd64
  DistroRelease: Ubuntu 11.10
  InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
  Package: libreoffice 1:3.4.4-0ubuntu1
  PackageArchitecture: amd64
  ProcEnviron:
-  LANGUAGE=
-  PATH=(custom, user)
-  LANG=en_US.UTF-8
-  SHELL=/bin/bash
+  LANGUAGE=
+  PATH=(custom, user)
+  LANG=en_US.UTF-8
+  SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 3.0.0-15.26-generic 3.0.13
  Tags: oneiric
  ...

Read more...

Marking Status -> Confirmed based on apport collection from Wouter Deconinck (wdconinc).

description: updated
Changed in libreoffice (Ubuntu):
status: Incomplete → Confirmed
Csaba Lack (csabka) wrote :

I am using 12.04 precise (dev branch up to date) and same problem.
I have openjdk-6 and libreoffice installed. LibreOffice Calc 3.5.1.2 Tools/Extensions shows that PDF import is OK, Dmath OK as well, but Solver for Nonlinear Programming: "status of extension is unknown" (or similar because it is hungarian version).

Csaba Lack (csabka) wrote :

On 12.04 beta2 the problem goes away

libreoffice-nlpsolver 0.9~beta1-8
libreoffice 1:3.5.1-1ubuntu2

Ray (ray-0711) wrote :

It still does not work here

libreoffice-nlpsolver 0.9~beta1-8
libreoffice 1:3.5.2-2ubuntu1

Does anybody have a clue what the problem might be? I am grateful for any help or hints in advance!

Alexander Sergeev (sav20) wrote :

Executing the following command will may help to solve the problem:

sudo apt-get install libreoffice-java-common

Alexander Sergeev (sav20) wrote :

Sorry. The previous comment #16 I have posted is scarcely proper.
Much more proper command is

sudo apt-get install libreoffice

which will install some packages including libreoffice-java-common.
If NLPSolver has been installed before then it should be reinstalled.

affects: libreoffice (Ubuntu) → nlpsolver (Ubuntu)
tdeering (tomdeering7) wrote :

I experienced this same problem with a fresh install of 64-bit Precise. To resolve, I did:

sudo apt-get purge libreoffice* && sudo apt-get install libreoffice libreoffice-nlpsolver

So after uninstalling and reinstalling libreoffice and the solver, the extension is now there and enabled as expect. Hope that helps. This is still definitely a bug which should be fixed.

bryan jones (launchepad-7) wrote :

I also had this issue with 64-bit Precise.
The nlpsolver extension showed up in the extensions list within Libreoffice, but I was unable to enable it.

All that was required for me to resolve this was to run: $ sudo apt-get install libreoffice
13 addinional packages were installed (listed below) and I was then able to enable the solver extension from within Libreoffice.

fonts-sil-gentium
fonts-sil-gentium-basic
libservlet2.5-java
libhsqldb-java
libxml-commons-resolver1.1-java
libxml-commons-external-java
libxerces2-java
libreoffice-java-common
libreoffice-base
ttf-dejavu
ttf-sil-gentium-basic
libreoffice-filter-mobiledev
libreoffice

Hong Zhu, if you install the libreoffice package as noted in https://bugs.launchpad.net/ubuntu/+source/nlpsolver/+bug/910143/comments/19 , are you then able to use it?

Changed in nlpsolver (Ubuntu):
status: Confirmed → Incomplete
linux-man (caldas-lopes) wrote :

Version 0.9~beta1-9build1 on Quantal 64 also doesn't work. Libreoffice package installed.

Zhen (furykerry) wrote :

Version 0.9~beta1-9build1 on Quantal 32 also doesn't work. Packages mentioned in comment #19 does NOT help.

Perhaps getting a Windows/generalised OOO donwload (with .oxt extension) and pointing Libre Office to the files from Extension Manager will help. This worked for me. Download page below:

http://sourceforge.net/projects/aoo-extensions/?source=dlp

j8a (javierochoa88) wrote :

I did what Alexander #16 and Brian #19 said but It doesn't work for me. I report the bug 1130946. I am using LO 3.5.7
script provider for python 3.3 sends me to TDF webpage uh?
Solver for NLP: the status of this extension is unknown

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: libreoffice-nlpsolver 0.9~beta1-8
ProcVersionSignature: Ubuntu 3.2.0-38.60-generic 3.2.37
Uname: Linux 3.2.0-38-generic i686
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: i386
Date: Wed Feb 20 19:35:39 2013
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: nlpsolver
UpgradeStatus: Upgraded to precise on 2012-05-16 (280 days ago)

I will restart the laptop and whether nlpsolver does not appear I will try with
sudo apt-get purge libreoffice* && sudo apt-get install libreoffice libreoffice-nlpsolver

Launchpad Janitor (janitor) wrote :

[Expired for nlpsolver (Ubuntu) because there has been no activity for 60 days.]

Changed in nlpsolver (Ubuntu):
status: Incomplete → Expired
Tom Fields (udzelem) on 2013-06-19
Changed in nlpsolver (Ubuntu):
status: Expired → Confirmed
Tom Fields (udzelem) wrote :

Still not fixed in libreoffice-nlpsolver (0.9~beta1-9build1) from raring ringtail.

However, commend # 17 WORKS after uninstalling and reinstalling libreoffice-nlpsolver.

1. apt-get --purge remove libreoffice-nlpsolver
2. apt-get install libreoffice
3. apt-get install libreoffice-nlpsolver.

This is clearly a dependency error, because libreoffice-nlpsolver depends on libreoffice-java-common (and maybe other packages included in package libreoffice which I haven't checked).

==> Hello maintainer, this bug can be fixed in five minutes (excluding tests)

Regards,
Tom

tres86dx (tres86dx-ubuntu) wrote :

I have the same problem in ubuntu 13.04. I tried with the comment number 26, but it did not work.

sudo apt-get --purge remove libreoffice-nlpsolver
sudo apt-get install libreoffice
sudo apt-get install libreoffice-nlpsolver

I attached screen capture of extension manager.

thanks

Matthias Klose (doko) wrote :

if the solver doesn't work, it probably should be demoted. if it is kept in main, then please depend on default-jre-headless, not openjdk-6-jdk.

Changed in nlpsolver (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-14.01
Changed in nlpsolver (Debian):
status: Unknown → New
Changed in nlpsolver (Debian):
status: New → Incomplete
Norbert (nrbrtx) wrote :

Installed libreoffice-nlpsolver (version 0.9~beta1-9ubuntu1) on clean Ubuntu 14.04.
Solver starts normally from Calc -> Tools -> Solver, but
Extension Manager reports error:
"Solver for Nonlinear Programming 0.9
Error: The status of this extension is unknown"

tags: added: trusty
Norbert (nrbrtx) wrote :

Small correction.
If I press Options in Calc -> Tools -> Solver window,
Solver engine is set only to LibreOffice Linear Solver.

I'm on 14.04 64bit. Got it to work. Here is what I tried.

Managed to resolve the issue of "Error: the status of this extension is unknown" in the Tools -> Extension manager for the "libreoffice-nlpsolver" extension by reinstalling libreoffice and purging+reinstalling libreoffice-nlpsolver.

Despite the fact that the error no longer appeared in Extension Manager, still couldn't get the Solver to show other engine options, besides "LibreOffice Linear Solver".

This was using openjdk-6. Installed openjdk-7 and selected it through Tools -> Options -> Advanced instead of openjdk-6.

Restarted Calc and now the Solver provides in its options 2 more evolutionary engines additionally to the Linear one.

Wolter Hellmund (wolterh) wrote :

For me, purging libreoffice-nlpsolver, commanding the install of libreoffice and then installing libreoffice-nlpsolver extension solved the issue.

Now, to have the non-linear algorithms show up in the solver, I installed openjdk-7-jre like Thalis recommends.

Changed in nlpsolver (Debian):
status: Incomplete → Fix Released
Graham Inggs (ginggs) wrote :

The comment for #16 works:
sudo apt-get install libreoffice-java-common

My guess is this package needs a Depends: libreoffice-java-common

Graham Inggs (ginggs) wrote :

Fix released in nlpsolver 0.9~beta1-12 in xenial

Changed in nlpsolver (Ubuntu):
status: Confirmed → Fix Released
Changed in nlpsolver (Ubuntu):
milestone: ubuntu-14.01 → none
Changed in nlpsolver (Ubuntu Trusty):
milestone: ubuntu-14.01 → trusty-updates
status: Confirmed → Triaged
tags: added: packaging
DiagonalArg (diagonalarg) wrote :

I'm on 16.04 and seeing the same error message in the extension manager. So far none of the fixes I've tried here have worked.

DiagonalArg (diagonalarg) wrote :

Ok, on 16.04 I got it to appear in the extension manager by purging/reinstalling, but it is still not appearing in the solver. I can't try openjdk-7-jre because 16.04 only has 8 and 9.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.